<!DOCTYPE html>
<html>
<head>
  <meta charset="utf-8">
  <title>{{dashboard_config['title']}}</title>

  <meta name='viewport' content='width=device-width, initial-scale=1.0, maximum-scale=1.0, user-scalable=no' />
  <link rel='icon' href='{{static_dir}}static/favicon.ico' type='image/x-icon' sizes="16x16" />

  <!-- Dependencies -->
  <!-- CSS -->
  <link type="text/css" rel="stylesheet" href="https://unpkg.com/bootstrap/dist/css/bootstrap.min.css" />
  <link type="text/css" rel="stylesheet" href="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.min.css" />

  <!-- Fonts -->
  <link href="https://fonts.googleapis.com/css?family=Noto+Serif+TC" rel="stylesheet">
  <link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.7.2/css/all.css"
    integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
    crossorigin="anonymous">

  <!-- Scripts -->
  <!-- Required for graphing and table prodution -->
  <script src="https://cdn.plot.ly/plotly-latest.min.js"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>

  <script src="https://unpkg.com/vue@latest/dist/vue.min.js"></script>
  <script src="https://unpkg.com/bootstrap-vue@latest/dist/bootstrap-vue.min.js"></script>

  <script src="{{static_dir}}static/gridlayout.js"></script>
  <script src="{{static_dir}}static/scald.js"></script>
  <link href="{{static_dir}}static/scald.css" rel="stylesheet" type="text/css" />

</head>

<body class="keen-dashboard" style="padding-top: 100px;">
% if 'audio' in dashboard_config:
  <audio id="main_audio" autoplay="autoplay" preload="auto" loop="loop">
      <source src="{{dashboard_config['audio']}}" type="audio/mpeg" />
      <embed id="main_audio" hidden="true" autostart="true" loop="true" src="{{dashboard_config['audio']}}" />
  </audio>
% end
<div id='plots'>
  % include(
  %     'navbar.tpl',
  %     script_name=script_name,
  %     plots=plots,
  %     **dashboard_config
  % )

  % include(
  %     'plots.tpl',
  %     script_name=script_name,
  %     plots=plots,
  %     start=start,
  %     stop=stop,
  %     refresh=refresh,
  %     delay=delay
  % )
</div>
% include('scripts.tpl')
</body>
</html>
