<nav class="navbar fixed-top navbar-expand-lg navbar-dark bg-dark py-0">

  <!-- add logo/title -->
  % if 'image' in dashboard_config:
    <a class="navbar-brand mt-3 mt-lg-0" href="#"><img style="width:80px" src="{{dashboard_config['image']}}"></a>
  % else:
    <a class="navbar-brand mt-3 mt-lg-0" href="">{{dashboard_config['title']}}</a>
  % end

  <b-navbar-toggle target="nav_collapse">    
    <span class="navbar-toggler-icon"></span>
  </b-navbar-toggle>

  <b-collapse is-nav id="nav_collapse">
    <ul class="navbar-nav mr-auto">

      <!-- add tabs -->
      % for tab in tabs:
        <li><a class="nav-link mt-2" href="{{tab['url']}}">{{tab['name']}}</a></li>
      % end

      <!-- add gps range form -->
      <li class="mr-3 ml-3">
        <form class="form-inline" role="search">
          <div class="form-group">
            <input type="text" class="form-control mr-md-2" name="gps" value="{{gps}}" size=12>
          </div>

          <div class="form-group">
            <input type="text" class="form-control mr-md-2" name="duration" value="{{duration}}" size=6 >
          </div>

          <div class="form-group mr-md-2">
            <b-nav-item-dropdown id="dropdown-left" class="m-md-2">
              <template slot="button-content">
                <i class="fas fa-chart-line fa-lg"></i>
              </template>
              <ul class="scrollable">
                % i = 1
                % for plot in plots:
                %   plot_variable = 'plot'+`i`
                %   plot_id = plot['title'].replace(' ', '_').lower()
                %   plot_type = plot['type']
                %   checked = 'true' if plot['value'] == 'checked' else 'false'
                  <li>
                    <b-button class ="m-lg-2" name="livecharts{{plot_id}}" :checked={{checked}} @click="addItem({{plot_variable}})">
                      {{plot['title']}}
                    </b-button>
                  </li>
                %   i += 1
                % end
              </ul>
            </b-nav-item-dropdown>
          </div>

          <div class="form-group mr-md-2">
            <button class="btn btn-outline-success" type="submit">Search</button>
          </div>

        </form>
      </li>
    </ul>
    <span v-if="analysis" title="Unlock Graph Layout">
      <b-button class="mr-3" :pressed.sync="analysis">
        <i class="fas fa-lock" style="color:white"></i>
      </b-button>
    </span>
    <span v-else title="Lock Graph Layout">
      <b-button class="mr-3" :pressed.sync="analysis">
        <i class="fas fa-unlock" style="color:white"></i>
      </b-button>          
    </span>
    <!-- add clock to right edge -->
    <a href="#"><div id="clock" style="color: grey"></div></a>

  </b-collapse>
</nav>
