<script>
  document.body.onkeydown = function(e) {
    if (e.keyCode == 32) {
      e.preventDefault();
    }
  };

  document.body.onkeyup = function(e){
    if(e.keyCode == 32){
      var i;
      for (i = 0; i < _global_plots.length; i++) {
        _global_plots[i].toggle_interval();
      }

      var isPlaying = function(audio) {return !audio.paused;};
      var a = document.getElementById('main_audio');
      if (isPlaying(a)) {
          a.pause();
      } else {
          a.play();
      }
    }
  };

  var plotLayout = [
    % i = 0
    % ySpace = 0
    % for plot in plots:
    %   grid = plot['grid'].copy() if 'grid' in plot else {'w':12, 'h':4}
    %   grid['x'] = 0 if not 'x' in grid else grid['x']
    %   grid['type'] = plot['type']
    %   grid['i'] = i
    %   grid['title'] = plot['title']
    %   grid['divname'] = 'plot'+`i+1`
    %   if plot['value'] == 'checked':
    %     grid['y'] = ySpace if not 'y' in grid else grid['y']
    %     grid['show'] = 1
    %   else:
    %     grid['y'] = 0
    %     grid['w'] = 0
    %     grid['h'] = 0
    %     grid['show'] = 0
    %   end
        {{!grid}},
    %   if grid['y'] + grid['h'] > ySpace:
    %     ySpace = grid['y'] + grid['h']
    %   end
    %   i += 1
    % end
  ];

  function disableSelect(event) {
    event.preventDefault();
  }

  new Vue({
    el: '#plots',
    data() {
      return {
        layout: plotLayout,
        analysis: true,
        responsive: true,
        modalShow: false,
      }
    },
    methods: {
      resizeEvent: function(){
        window.addEventListener('selectstart', disableSelect);
      },
      resizedEvent: function(){
        window.removeEventListener('selectstart', disableSelect);
      },
      moveEvent: function(){
        window.addEventListener('selectstart', disableSelect);
      },
      movedEvent: function(){
        window.removeEventListener('selectstart', disableSelect);
      },
      deleteItem: function(item, plot){
        // TODO: Account for if an item spans multiple rows and is the only item
        // If so the take the max yspan of items in rows spanned by the item
        // Change height by ySpace - max ySpan that is less than ySpace

        eval(plot).okay_to_draw = false;
        var yItem = this.layout[item]['y'];
        var xItem = this.layout[item]['x'];
        var height = this.layout[item]['h'];
        var ySpace = this.layout[item]['y'] + height;
        var xSpace = this.layout[item]['w'] + xItem;
        var singleRow = true;
        this.layout[item]['h'] = 0;
        this.layout[item]['w'] = 0;
        this.layout[item]['x'] = 0;
        this.layout[item]['y'] = 0;
        this.layout[item]['show'] = false;

        for (var i in this.layout) {
          var y = this.layout[i]['y'];
          var ySpan = this.layout[i]['h'] + y;
          // First case if y is in same row
          // Second case if ySpace of another item is in the same row
          // Third case if the item spans through the row
          if (((y >= yItem && y < ySpace) || (ySpan <= ySpace && ySpan > yItem) || (y <= yItem && ySpan >= ySpace)) && this.layout[i]['h'] != 0 && this.layout[i]['w'] != 0 && this.layout[i]['i'] != item) {
            singleRow = false;
          }
        }
        if (singleRow){
          for (var i in this.layout) {
            if (this.layout[i]['y'] >= ySpace) {
              this.layout[i]['y'] -= height;
            }
          }
        } else {
          for (var i = 0; i < this.layout.length; i++) {
            y = this.layout[i]['y'];
            ySpan = this.layout[i]['h'] + y;
            var x = this.layout[i]['x'];
            var xSpan = this.layout[i]['w'] + x;
            if (maxYSpan) {
              if (y >= ySpace && x >= xItem && xSpan <= xSpace && y == maxYSpan) {
                this.layout[i]['y'] -= height;
                maxYSpan = ySpan;
                i = 0;
              }
            } else {
              if (y >= ySpace && y == ySpace && x >= xItem && xSpan <= xSpace) {
                this.layout[i]['y'] -= height;
                var maxYSpan = ySpan;
                i = 0;
              }
            }
          }
        }
      },

      addItem: function(plot){
        var totalHeight = 0;
        var ySpace = 0;
        for (var i in this.layout) {
          if (this.layout[i]['divname'] == plot.divname) {
            if(this.layout[i]['show'] == true) {
              this.modalShow = true;
              return
            }
            var gridID = this.layout[i]['i'];
          }
          if (this.layout[i]['y'] + this.layout[i]['h'] > ySpace) {
            ySpace = this.layout[i]['y'] + this.layout[i]['h']
          }
        }
        this.layout[gridID]['x'] = 0;
        this.layout[gridID]['y'] = ySpace;
        this.layout[gridID]['h'] = plot.grid['h'];
        this.layout[gridID]['w'] = plot.grid['w'];
        this.layout[gridID]['show'] = true;
        plot.okay_to_draw = true;
        plot.populate();
      },
    },
  });

  var FAR_Table = new Vue({
    el: '#table',
    data() {
      return {
        isShown: true,
        search: '',
        filter: null,
        dataTrack: false,
        sortBy: 'ifar',
        sortDesc: true,
        totalRows: null,
        perPage:6,
        currentPage: 1,
        items: [],
        fields: {
          measurement: {label: 'Measurement',sortable: true,},
          startTime: {label: 'Start Time',sortable: true,},
          endTime: {label: 'End Time',sortable:true,},
          ifar: {label: 'IFAR', sortable: true,},
          value: {label: 'Number of Events',sortable: true,},
          H1chi: {label: 'H1 \u03c72',sortable: true,},
          L1chi: {label: 'L1 \u03c72',sortable: true,},
          V1chi: {label: 'V1 \u03c72',sortable: true,},
          mass1: {label: 'Mass 1',sortable: true,},
          mass2: {label: 'Mass 2',sortable: true,},
          spin1: {label: 'Spin 1',sortable: true,},
          spin2: {label: 'Spin 2',sortable: true,},
        },
      }
    },
    watch: {
      dataTrack: function() {
        if (!this.dataTrack) {
          this.currentPage = 1;
        }
      },
      filter: function() {
        this.dataTrack = false;
        this.currentPage = 1;
      },
    },
  });

  % import json
  % for ii, plot in enumerate(plots, 1):
  %   plot_id = 'plot'+`ii`
  %   plot_title = plot['title']
  %   plot_grid = plot['grid'] if 'grid' in plot else {'x':0, 'y':0, 'w':12, 'h':4}
  %   schema = json.dumps(plot['schema'])
  %   plot_layout = plot['layout'] if 'layout' in plot else {}
  %   plot_options = plot['options'] if 'options' in plot else {}
  %   plot_data_options = plot['data_options'] if 'data_options' in plot else {}
  %   data_segment = {"start":  start, "stop": stop}
        var plot{{ii}} = new {{plot['type']}}(
          "{{plot_id}}",              // div name for the plot
          '{{plot_title}}',           // plot title stored for regeneration
          '{{plot['measurement']}}',  // name of measurement to query
          {{!schema}},                // schema for retrieving data
          '{{script_name}}',          // script name (hack to deal with cgi/apache)
          {{!data_segment}},          // initial data segment
          {{refresh}},                // refresh interval in ms, -1 to disable refresh
          {{!plot_data_options}},     // custom plot data options, provided as a dict
          {{!plot_grid}},             // custom grid item for vue grid layout
          {{!plot_layout}},           // custom plot layout, provided as a dict
          {{!plot_options}},          // custom plot options, provided as a dict
          {{delay}},                  // sets delay for realtime data
        );
  %   if plot['value'] == 'checked':
        plot{{ii}}.populate();
  %   end
  % end
</script>